Loading...
Searching...
No Matches
Dune::Functions::Concept::DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits > Struct Template Reference
Functions » Function concepts

Concept for a differentiable grid view function mapping `Domain` to `Range`. More...

`#include <dune/functions/common/functionconcepts.hh>`

Inheritance diagram for Dune::Functions::Concept::DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits >:

## Public Member Functions

template<class F>
auto | require (F &&f) -> decltype(0)

## Detailed Description

template<class Range, class Domain, class GridView, template< class > class DerivativeTraits>
struct Dune::Functions::Concept::DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits >

Concept for a differentiable grid view function mapping `Domain` to `Range`.

This exactly the Concept::GridFunction<Range(Domain), EntitySet, DerivativeTraits> concept with a GridViewEntitySet as `EntitySet`.

Template Parameters

  Domain | Domain type
  Range | Range type
  GridView | GridView on which the function can be localized
  DerivativeTraits | Traits class for computation of derivative range

## Member Function Documentation

## require()

template<class Range, class Domain, class GridView, template< class > class DerivativeTraits>
template<class F>

auto Dune::Functions::Concept::DifferentiableGridViewFunction< Range(Domain), GridView, DerivativeTraits >::require | ( | F && | f | ) | ->decltype(0)

The documentation for this struct was generated from the following file:

- functionconcepts.hh